> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/desktops/avd.md).

# AVD

## List

> Retrieve a list of all the published AVD desktops.\<br />> \
> This is an Experimental feature which is subject to slight changes.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/Desktops/AVD":{"get":{"tags":["3-Publishing/Desktops//AVD"],"summary":"List","description":"Retrieve a list of all the published AVD desktops.<br />\r\nThis is an Experimental feature which is subject to slight changes.","operationId":"f48f5bff-6083-409a-814d-278b0caf401e","parameters":[{"name":"SiteId","in":"query","description":"Site ID for which to retrieve all the published AVD desktops (optional)","schema":{"type":"integer","format":"int32"}},{"name":"Name","in":"query","description":"Filter the result by name (optional)","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/PubAVDDesktop"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PubAVDDesktop":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"maintenanceMessages":{"$ref":"#/components/schemas/MaintenanceMessages"},"inheritMaintenance":{"type":"boolean","description":"<para type=\"description\">Inherit Maintenance.</para>"},"replicateMaintenance":{"type":"boolean","description":"<para type=\"description\">Replicate Maintenance.</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the published item.</para>","nullable":true},"type":{"$ref":"#/components/schemas/RASPubObject"},"parentId":{"type":"integer","description":"<para type=\"description\">ID of the parent folder of the published item.</para>","format":"int32"},"previousId":{"type":"integer","description":"<para type=\"description\">ID of the previous published item.</para>","format":"int32"},"description":{"type":"string","description":"<para type=\"description\">Description of the published item.</para>","nullable":true},"enabledMode":{"$ref":"#/components/schemas/PubResourceEnabledMode"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the published item is enabled or not.</para>"},"publishToSite":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">List of the IDs of all the sites this item is published to.</para>","nullable":true},"preferredRoutingEnabled":{"type":"boolean","description":"<para type=\"description\">Whether Preferred Routing is enabled or not.</para>"},"preferredRoutes":{"type":"array","items":{"$ref":"#/components/schemas/PubPreferredRoute"},"description":"<para type=\"description\">The list of Preferred Routes.</para>","nullable":true},"filter":{"$ref":"#/components/schemas/PubItemFilter"},"startOnLogon":{"type":"boolean","description":"<para type=\"description\">Whether the 'Start automatically when user logs on' option is enabled or disabled.</para>"},"excludePrelaunch":{"type":"boolean","description":"<para type=\"description\">Exclude application from prelaunch.</para>"},"inheritShortcutDefaultSettings":{"type":"boolean","description":"<para type=\"description\">Whether to inherit default shortcut settings or not.</para>"},"createShortcutOnDesktop":{"type":"boolean","description":"<para type=\"description\">Whether to create a shortcut on the desktop or not.</para>"},"createShortcutInStartFolder":{"type":"boolean","description":"<para type=\"description\">Whether to create a shortcut in the start folder or not.</para>"},"startPath":{"type":"string","description":"<para type=\"description\">Starting path of the published item.</para>","nullable":true},"createShortcutInStartUpFolder":{"type":"boolean","description":"<para type=\"description\">Whether to create a shortcut in the startup folder or not.</para>"},"replicateShortcutSettings":{"type":"boolean","description":"<para type=\"description\">Whether to replicate shortcut settings or not.</para>"},"desktopSize":{"$ref":"#/components/schemas/DesktopSize"},"width":{"type":"integer","description":"<para type=\"description\"> Desktop width.</para>","format":"int32"},"height":{"type":"integer","description":"<para type=\"description\"> Desktop height.</para>","format":"int32"},"allowMultiMonitor":{"$ref":"#/components/schemas/AllowMultiMonitor"},"avdHostPoolID":{"type":"integer","description":"<para type=\"description\">The AVD Host Pool ID.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Published AVD Desktop</para>\r\n<para type=\"description\"></para>"},"MaintenanceMessages":{"type":"object","properties":{"maintenanceMessage_en_US":{"type":"string","description":"<para type=\"description\">Maintenance message in English.</para>","nullable":true},"maintenanceMessage_ja_JP":{"type":"string","description":"<para type=\"description\">Maintenance message in Japanese.</para>","nullable":true},"maintenanceMessage_fr_FR":{"type":"string","description":"<para type=\"description\">Maintenance message in French.</para>","nullable":true},"maintenanceMessage_es_ES":{"type":"string","description":"<para type=\"description\">Maintenance message in Spanish.</para>","nullable":true},"maintenanceMessage_it_IT":{"type":"string","description":"<para type=\"description\">Maintenance message in Italian.</para>","nullable":true},"maintenanceMessage_pt_BR":{"type":"string","description":"<para type=\"description\">Maintenance message in Portuguese.</para>","nullable":true},"maintenanceMessage_nl_NL":{"type":"string","description":"<para type=\"description\">Maintenance message in Dutch.</para>","nullable":true},"maintenanceMessage_zh_TW":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Traditional).</para>","nullable":true},"maintenanceMessage_zh_CN":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Simplified).</para>","nullable":true},"maintenanceMessage_ko_KR":{"type":"string","description":"<para type=\"description\">Maintenance message in Korean.</para>","nullable":true},"maintenanceMessage_de_DE":{"type":"string","description":"<para type=\"description\">Maintenance message in German.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Contains a set of maintenance messages in various languages</para>\r\n<para type=\"description\"></para>"},"RASPubObject":{"enum":[["0 = Any","1 = Folder","2 = RDSApp","3 = RDSDesktop","4 = VDIDesktop","5 = PCDesktop","6 = PCApp","7 = VDIApp","8 = AVDApp","9 = AVDDesktop","10 = LocalApp"]],"type":"string","description":"<para type=\"synopsis\">RAS Publishing Objects</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubResourceEnabledMode":{"enum":[["0 = Disabled","1 = Enabled","2 = Maintenance"]],"type":"string","description":"<para type=\"synopsis\">Published resource availability modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubPreferredRoute":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"name":{"type":"string","description":"<para type=\"description\">The Name of the Publishing Route</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description of the Publishing Route</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Publishing Route is enabled or not</para>"},"referenceType":{"$ref":"#/components/schemas/RoutingType"},"referenceId":{"type":"integer","description":"<para type=\"description\">Reference ID of the Publishing Route</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Publishing Preferred Route</para>\r\n<para type=\"description\"></para>"},"RoutingType":{"enum":[["3 = Gateway","51 = HALB","83 = Custom"]],"type":"string","description":"<para type=\"synopsis\">RAS Publishing Routing Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubItemFilter":{"type":"object","properties":{"rules":{"type":"array","items":{"$ref":"#/components/schemas/PubItemRule"},"nullable":true},"default":{"$ref":"#/components/schemas/DefaultAssignmentType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">The PubItem Filter object.</para>\r\n<para type=\"description\"></para>"},"PubItemRule":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Rule is enabled or not</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the Rule</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description of the Rule</para>","nullable":true},"criteria":{"$ref":"#/components/schemas/PubItemCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">PubItem Rule</para>\r\n<para type=\"description\"></para>"},"PubItemCriteria":{"type":"object","properties":{"securityPrincipals":{"$ref":"#/components/schemas/SecurityPrincipalsCriteria"},"gateways":{"$ref":"#/components/schemas/GatewaysCriteria"},"oSs":{"$ref":"#/components/schemas/OSsCriteria"},"iPs":{"$ref":"#/components/schemas/IPsCriteria"},"hardwareIDs":{"$ref":"#/components/schemas/HardwareIDsCriteria"},"access":{"$ref":"#/components/schemas/AccessType"},"devices":{"$ref":"#/components/schemas/DevicesCriteria"},"themes":{"$ref":"#/components/schemas/ThemesCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">PubItem Criteria</para>\r\n<para type=\"description\"></para>"},"SecurityPrincipalsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Security Principals Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/SecurityPrincipalCriteriaEntry"},"description":"<para type=\"description\">User criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principals Criteria</para>\r\n<para type=\"description\"></para>"},"MatchingModeType":{"enum":[["0 = IsNotOneOfTheFollowing","1 = IsOneOfTheFollowing"]],"type":"string","description":"<para type=\"synopsis\">Matching mode type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"SecurityPrincipalCriteriaEntry":{"type":"object","properties":{"account":{"type":"string","description":"<para type=\"description\">The name of the user/group account the filter is added to.</para>","nullable":true},"type":{"$ref":"#/components/schemas/UserType"},"sid":{"type":"string","description":"<para type=\"description\">The SID of the user/group account the filter is added to.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principal Criteria Entry</para>\r\n<para type=\"description\"></para>"},"UserType":{"enum":[["1 = User","2 = Group","3 = ForeignSecurityPrincipal","4 = Computer"]],"type":"string","description":"<para type=\"synopsis\">User Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewaysCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Gateways Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/GatewayCriteriaEntry"},"description":"<para type=\"description\">Gateway criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateways Criteria</para>\r\n<para type=\"description\"></para>"},"GatewayCriteriaEntry":{"type":"object","properties":{"gatewayIP":{"type":"string","description":"<para type=\"description\">The gateway IP.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateway criteria entry</para>\r\n<para type=\"description\"></para>"},"OSsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the OSs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedOSes":{"$ref":"#/components/schemas/AllowedOperatingSystems"}},"additionalProperties":false,"description":"<para type=\"synopsis\">OS Criteria Settings</para>\r\n<para type=\"description\"></para>"},"AllowedOperatingSystems":{"type":"object","properties":{"chrome":{"type":"boolean","description":"<para type=\"description\">Whether Chrome is allowed or not.</para>"},"android":{"type":"boolean","description":"<para type=\"description\">Whether Android is allowed or not.</para>"},"webClient":{"type":"boolean","description":"<para type=\"description\">Whether Web Client is allowed or not.</para>"},"iOS":{"type":"boolean","description":"<para type=\"description\">Whether iOS is allowed or not.</para>"},"linux":{"type":"boolean","description":"<para type=\"description\">Whether Linux is allowed or not.</para>"},"mac":{"type":"boolean","description":"<para type=\"description\">Whether MAC OS is allowed or not.</para>"},"wyse":{"type":"boolean","description":"<para type=\"description\">Whether Wyse is allowed or not.</para>"},"windows":{"type":"boolean","description":"<para type=\"description\">Whether Windows is allowed or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed Operating Systems</para>\r\n<para type=\"description\"></para>"},"IPsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the IPs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedIPs":{"$ref":"#/components/schemas/AllowedIPsCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPs Criteria</para>\r\n<para type=\"description\"></para>"},"AllowedIPsCriteria":{"type":"object","properties":{"iPv4s":{"type":"array","items":{"$ref":"#/components/schemas/IPv4CriteriaEntry"},"description":"<para type=\"description\">IPv4 criteria list</para>","nullable":true},"iPv6s":{"type":"array","items":{"$ref":"#/components/schemas/IPv6CriteriaEntry"},"description":"<para type=\"description\">IPv6 criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed IPs Criteria</para>\r\n<para type=\"description\"></para>"},"IPv4CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv4 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"IPv6CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv6 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"HardwareIDsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Hardware IDs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/HardwareIDCriteriaEntry"},"description":"<para type=\"description\">Hardware IDs criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware IDs Criteria</para>\r\n<para type=\"description\"></para>"},"HardwareIDCriteriaEntry":{"type":"object","properties":{"hardwareID":{"type":"string","description":"<para type=\"description\">The hardware ID.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware ID criteria entry</para>\r\n<para type=\"description\"></para>"},"AccessType":{"enum":[["0 = DenyCriteriaWhen","1 = AllowCriteriaWhen"]],"type":"string","description":"<para type=\"synopsis\">Access type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"DevicesCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Devices Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/ClientDeviceCriteriaEntry"},"description":"<para type=\"description\">Client criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Devices Criteria</para>\r\n<para type=\"description\"></para>"},"ClientDeviceCriteriaEntry":{"type":"object","properties":{"client":{"type":"string","description":"<para type=\"description\">The name of the client device.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client device criteria entry</para>\r\n<para type=\"description\"></para>"},"ThemesCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Themes Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"ids":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Theme criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Themes Criteria</para>\r\n<para type=\"description\"></para>"},"DefaultAssignmentType":{"enum":[["0 = Deny","1 = Allow"]],"type":"string","description":"<para type=\"synopsis\">Default assignment type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"DesktopSize":{"enum":[["0 = UseAvailableArea","1 = FullScreen","2 = W640xH480","3 = W800xH600","4 = W854xH480","5 = W1024xH576","6 = W1024xH768","7 = W1152xH864","8 = W1280xH720","9 = W1280xH768","10 = W1280xH800","11 = W1280xH960","12 = W1280xH1024","13 = W1360xH768","14 = W1366xH768","15 = W1400xH1050","16 = W1440xH900","17 = W1600xH900","18 = W1600xH1024","19 = W1600xH1200","20 = W1680xH1050","21 = W1920xH1080","22 = W1920xH1200","23 = W1920xH1440","24 = W2048xH1152","25 = Custom"]],"type":"string","description":"<para type=\"synopsis\">Desktop size options for published desktops.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"AllowMultiMonitor":{"enum":[["0 = Enabled","1 = Disabled","2 = UseClientSettings"]],"type":"string","description":"<para type=\"synopsis\">Multi-monitor options for published desktops.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Create

> Add a published AVD desktop to a site.\<br />> \
> This is an Experimental feature which is subject to slight changes.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/Desktops/AVD":{"post":{"tags":["3-Publishing/Desktops//AVD"],"summary":"Create","description":"Add a published AVD desktop to a site.<br />\r\nThis is an Experimental feature which is subject to slight changes.","operationId":"4fbf303e-ebf0-4f99-80a5-2dfb1589c59a","requestBody":{"content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/NewPubAVDDesktop"}}}},"responses":{"201":{"description":"Created","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/PubAVDDesktop"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"NewPubAVDDesktop":{"required":["avdHostPoolID","name"],"type":"object","properties":{"parentId":{"type":"integer","description":"<para type=\"description\">Parent publishing folder ID.</para>","format":"int32","nullable":true},"previousId":{"type":"integer","description":"<para type=\"description\">Previous published ID.</para>","format":"int32","nullable":true},"replicateMaintenance":{"type":"boolean","description":"<para type=\"description\">Whether the option 'Replicate Maintenance' is enabled or not.</para>","nullable":true},"inheritMaintenance":{"type":"boolean","description":"<para type=\"description\">Whether to inherit default Maintenance settings.</para>","nullable":true},"enabledMode":{"$ref":"#/components/schemas/PubResourceEnabledMode"},"maintenanceMessage_en_US":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in English.</para>","nullable":true},"maintenanceMessage_ja_JP":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Japanese.</para>","nullable":true},"maintenanceMessage_fr_FR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in French.</para>","nullable":true},"maintenanceMessage_es_ES":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Spanish.</para>","nullable":true},"maintenanceMessage_it_IT":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Italian.</para>","nullable":true},"maintenanceMessage_pt_BR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Portuguese.</para>","nullable":true},"maintenanceMessage_de_DE":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in German.</para>","nullable":true},"maintenanceMessage_nl_NL":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Dutch.</para>","nullable":true},"maintenanceMessage_zh_TW":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Chinese (Traditional).</para>","nullable":true},"maintenanceMessage_zh_CN":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Chinese (Simplified).</para>","nullable":true},"maintenanceMessage_ko_KR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Korean.</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Published resource description.</para>","nullable":true},"publishToSiteIds":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">An array of Sites IDs to which to publish a resource.</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">Site ID in which to publish the specified Item.</para>\r\n<para type=\"description\">If the parameter is omitted, the site ID of the Licensing Server will be used.</para>","format":"int32"},"startOnLogon":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Start automatically when user logs on' option.</para>","default":false},"width":{"type":"integer","description":"<para type=\"description\">Specifies a custom desktop width.</para>","format":"int32"},"height":{"type":"integer","description":"<para type=\"description\">Specifies a custom desktop height.</para>","format":"int32"},"desktopSize":{"$ref":"#/components/schemas/DesktopSize"},"allowMultiMonitor":{"$ref":"#/components/schemas/AllowMultiMonitor"},"name":{"type":"string","description":"<para type=\"description\">Published desktop name.</para>","nullable":true},"avdHostPoolID":{"type":"integer","description":"<para type=\"description\">The AVD Host Pool ID.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Create a new published desktop from a AVD Desktop</para>\r\n<para type=\"description\"></para>"},"PubResourceEnabledMode":{"enum":[["0 = Disabled","1 = Enabled","2 = Maintenance"]],"type":"string","description":"<para type=\"synopsis\">Published resource availability modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"DesktopSize":{"enum":[["0 = UseAvailableArea","1 = FullScreen","2 = W640xH480","3 = W800xH600","4 = W854xH480","5 = W1024xH576","6 = W1024xH768","7 = W1152xH864","8 = W1280xH720","9 = W1280xH768","10 = W1280xH800","11 = W1280xH960","12 = W1280xH1024","13 = W1360xH768","14 = W1366xH768","15 = W1400xH1050","16 = W1440xH900","17 = W1600xH900","18 = W1600xH1024","19 = W1600xH1200","20 = W1680xH1050","21 = W1920xH1080","22 = W1920xH1200","23 = W1920xH1440","24 = W2048xH1152","25 = Custom"]],"type":"string","description":"<para type=\"synopsis\">Desktop size options for published desktops.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"AllowMultiMonitor":{"enum":[["0 = Enabled","1 = Disabled","2 = UseClientSettings"]],"type":"string","description":"<para type=\"synopsis\">Multi-monitor options for published desktops.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"PubAVDDesktop":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"maintenanceMessages":{"$ref":"#/components/schemas/MaintenanceMessages"},"inheritMaintenance":{"type":"boolean","description":"<para type=\"description\">Inherit Maintenance.</para>"},"replicateMaintenance":{"type":"boolean","description":"<para type=\"description\">Replicate Maintenance.</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the published item.</para>","nullable":true},"type":{"$ref":"#/components/schemas/RASPubObject"},"parentId":{"type":"integer","description":"<para type=\"description\">ID of the parent folder of the published item.</para>","format":"int32"},"previousId":{"type":"integer","description":"<para type=\"description\">ID of the previous published item.</para>","format":"int32"},"description":{"type":"string","description":"<para type=\"description\">Description of the published item.</para>","nullable":true},"enabledMode":{"$ref":"#/components/schemas/PubResourceEnabledMode"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the published item is enabled or not.</para>"},"publishToSite":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">List of the IDs of all the sites this item is published to.</para>","nullable":true},"preferredRoutingEnabled":{"type":"boolean","description":"<para type=\"description\">Whether Preferred Routing is enabled or not.</para>"},"preferredRoutes":{"type":"array","items":{"$ref":"#/components/schemas/PubPreferredRoute"},"description":"<para type=\"description\">The list of Preferred Routes.</para>","nullable":true},"filter":{"$ref":"#/components/schemas/PubItemFilter"},"startOnLogon":{"type":"boolean","description":"<para type=\"description\">Whether the 'Start automatically when user logs on' option is enabled or disabled.</para>"},"excludePrelaunch":{"type":"boolean","description":"<para type=\"description\">Exclude application from prelaunch.</para>"},"inheritShortcutDefaultSettings":{"type":"boolean","description":"<para type=\"description\">Whether to inherit default shortcut settings or not.</para>"},"createShortcutOnDesktop":{"type":"boolean","description":"<para type=\"description\">Whether to create a shortcut on the desktop or not.</para>"},"createShortcutInStartFolder":{"type":"boolean","description":"<para type=\"description\">Whether to create a shortcut in the start folder or not.</para>"},"startPath":{"type":"string","description":"<para type=\"description\">Starting path of the published item.</para>","nullable":true},"createShortcutInStartUpFolder":{"type":"boolean","description":"<para type=\"description\">Whether to create a shortcut in the startup folder or not.</para>"},"replicateShortcutSettings":{"type":"boolean","description":"<para type=\"description\">Whether to replicate shortcut settings or not.</para>"},"desktopSize":{"$ref":"#/components/schemas/DesktopSize"},"width":{"type":"integer","description":"<para type=\"description\"> Desktop width.</para>","format":"int32"},"height":{"type":"integer","description":"<para type=\"description\"> Desktop height.</para>","format":"int32"},"allowMultiMonitor":{"$ref":"#/components/schemas/AllowMultiMonitor"},"avdHostPoolID":{"type":"integer","description":"<para type=\"description\">The AVD Host Pool ID.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Published AVD Desktop</para>\r\n<para type=\"description\"></para>"},"MaintenanceMessages":{"type":"object","properties":{"maintenanceMessage_en_US":{"type":"string","description":"<para type=\"description\">Maintenance message in English.</para>","nullable":true},"maintenanceMessage_ja_JP":{"type":"string","description":"<para type=\"description\">Maintenance message in Japanese.</para>","nullable":true},"maintenanceMessage_fr_FR":{"type":"string","description":"<para type=\"description\">Maintenance message in French.</para>","nullable":true},"maintenanceMessage_es_ES":{"type":"string","description":"<para type=\"description\">Maintenance message in Spanish.</para>","nullable":true},"maintenanceMessage_it_IT":{"type":"string","description":"<para type=\"description\">Maintenance message in Italian.</para>","nullable":true},"maintenanceMessage_pt_BR":{"type":"string","description":"<para type=\"description\">Maintenance message in Portuguese.</para>","nullable":true},"maintenanceMessage_nl_NL":{"type":"string","description":"<para type=\"description\">Maintenance message in Dutch.</para>","nullable":true},"maintenanceMessage_zh_TW":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Traditional).</para>","nullable":true},"maintenanceMessage_zh_CN":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Simplified).</para>","nullable":true},"maintenanceMessage_ko_KR":{"type":"string","description":"<para type=\"description\">Maintenance message in Korean.</para>","nullable":true},"maintenanceMessage_de_DE":{"type":"string","description":"<para type=\"description\">Maintenance message in German.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Contains a set of maintenance messages in various languages</para>\r\n<para type=\"description\"></para>"},"RASPubObject":{"enum":[["0 = Any","1 = Folder","2 = RDSApp","3 = RDSDesktop","4 = VDIDesktop","5 = PCDesktop","6 = PCApp","7 = VDIApp","8 = AVDApp","9 = AVDDesktop","10 = LocalApp"]],"type":"string","description":"<para type=\"synopsis\">RAS Publishing Objects</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubPreferredRoute":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"name":{"type":"string","description":"<para type=\"description\">The Name of the Publishing Route</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description of the Publishing Route</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Publishing Route is enabled or not</para>"},"referenceType":{"$ref":"#/components/schemas/RoutingType"},"referenceId":{"type":"integer","description":"<para type=\"description\">Reference ID of the Publishing Route</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Publishing Preferred Route</para>\r\n<para type=\"description\"></para>"},"RoutingType":{"enum":[["3 = Gateway","51 = HALB","83 = Custom"]],"type":"string","description":"<para type=\"synopsis\">RAS Publishing Routing Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubItemFilter":{"type":"object","properties":{"rules":{"type":"array","items":{"$ref":"#/components/schemas/PubItemRule"},"nullable":true},"default":{"$ref":"#/components/schemas/DefaultAssignmentType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">The PubItem Filter object.</para>\r\n<para type=\"description\"></para>"},"PubItemRule":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Rule is enabled or not</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the Rule</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description of the Rule</para>","nullable":true},"criteria":{"$ref":"#/components/schemas/PubItemCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">PubItem Rule</para>\r\n<para type=\"description\"></para>"},"PubItemCriteria":{"type":"object","properties":{"securityPrincipals":{"$ref":"#/components/schemas/SecurityPrincipalsCriteria"},"gateways":{"$ref":"#/components/schemas/GatewaysCriteria"},"oSs":{"$ref":"#/components/schemas/OSsCriteria"},"iPs":{"$ref":"#/components/schemas/IPsCriteria"},"hardwareIDs":{"$ref":"#/components/schemas/HardwareIDsCriteria"},"access":{"$ref":"#/components/schemas/AccessType"},"devices":{"$ref":"#/components/schemas/DevicesCriteria"},"themes":{"$ref":"#/components/schemas/ThemesCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">PubItem Criteria</para>\r\n<para type=\"description\"></para>"},"SecurityPrincipalsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Security Principals Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/SecurityPrincipalCriteriaEntry"},"description":"<para type=\"description\">User criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principals Criteria</para>\r\n<para type=\"description\"></para>"},"MatchingModeType":{"enum":[["0 = IsNotOneOfTheFollowing","1 = IsOneOfTheFollowing"]],"type":"string","description":"<para type=\"synopsis\">Matching mode type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"SecurityPrincipalCriteriaEntry":{"type":"object","properties":{"account":{"type":"string","description":"<para type=\"description\">The name of the user/group account the filter is added to.</para>","nullable":true},"type":{"$ref":"#/components/schemas/UserType"},"sid":{"type":"string","description":"<para type=\"description\">The SID of the user/group account the filter is added to.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principal Criteria Entry</para>\r\n<para type=\"description\"></para>"},"UserType":{"enum":[["1 = User","2 = Group","3 = ForeignSecurityPrincipal","4 = Computer"]],"type":"string","description":"<para type=\"synopsis\">User Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewaysCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Gateways Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/GatewayCriteriaEntry"},"description":"<para type=\"description\">Gateway criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateways Criteria</para>\r\n<para type=\"description\"></para>"},"GatewayCriteriaEntry":{"type":"object","properties":{"gatewayIP":{"type":"string","description":"<para type=\"description\">The gateway IP.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateway criteria entry</para>\r\n<para type=\"description\"></para>"},"OSsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the OSs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedOSes":{"$ref":"#/components/schemas/AllowedOperatingSystems"}},"additionalProperties":false,"description":"<para type=\"synopsis\">OS Criteria Settings</para>\r\n<para type=\"description\"></para>"},"AllowedOperatingSystems":{"type":"object","properties":{"chrome":{"type":"boolean","description":"<para type=\"description\">Whether Chrome is allowed or not.</para>"},"android":{"type":"boolean","description":"<para type=\"description\">Whether Android is allowed or not.</para>"},"webClient":{"type":"boolean","description":"<para type=\"description\">Whether Web Client is allowed or not.</para>"},"iOS":{"type":"boolean","description":"<para type=\"description\">Whether iOS is allowed or not.</para>"},"linux":{"type":"boolean","description":"<para type=\"description\">Whether Linux is allowed or not.</para>"},"mac":{"type":"boolean","description":"<para type=\"description\">Whether MAC OS is allowed or not.</para>"},"wyse":{"type":"boolean","description":"<para type=\"description\">Whether Wyse is allowed or not.</para>"},"windows":{"type":"boolean","description":"<para type=\"description\">Whether Windows is allowed or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed Operating Systems</para>\r\n<para type=\"description\"></para>"},"IPsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the IPs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedIPs":{"$ref":"#/components/schemas/AllowedIPsCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPs Criteria</para>\r\n<para type=\"description\"></para>"},"AllowedIPsCriteria":{"type":"object","properties":{"iPv4s":{"type":"array","items":{"$ref":"#/components/schemas/IPv4CriteriaEntry"},"description":"<para type=\"description\">IPv4 criteria list</para>","nullable":true},"iPv6s":{"type":"array","items":{"$ref":"#/components/schemas/IPv6CriteriaEntry"},"description":"<para type=\"description\">IPv6 criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed IPs Criteria</para>\r\n<para type=\"description\"></para>"},"IPv4CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv4 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"IPv6CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv6 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"HardwareIDsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Hardware IDs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/HardwareIDCriteriaEntry"},"description":"<para type=\"description\">Hardware IDs criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware IDs Criteria</para>\r\n<para type=\"description\"></para>"},"HardwareIDCriteriaEntry":{"type":"object","properties":{"hardwareID":{"type":"string","description":"<para type=\"description\">The hardware ID.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware ID criteria entry</para>\r\n<para type=\"description\"></para>"},"AccessType":{"enum":[["0 = DenyCriteriaWhen","1 = AllowCriteriaWhen"]],"type":"string","description":"<para type=\"synopsis\">Access type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"DevicesCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Devices Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/ClientDeviceCriteriaEntry"},"description":"<para type=\"description\">Client criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Devices Criteria</para>\r\n<para type=\"description\"></para>"},"ClientDeviceCriteriaEntry":{"type":"object","properties":{"client":{"type":"string","description":"<para type=\"description\">The name of the client device.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client device criteria entry</para>\r\n<para type=\"description\"></para>"},"ThemesCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Themes Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"ids":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Theme criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Themes Criteria</para>\r\n<para type=\"description\"></para>"},"DefaultAssignmentType":{"enum":[["0 = Deny","1 = Allow"]],"type":"string","description":"<para type=\"synopsis\">Default assignment type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get

> Retrieve information about a specified published AVD desktop.\<br />> \
> This is an Experimental feature which is subject to slight changes.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Desktops/AVD":{"get":{"tags":["3-Publishing/Desktops//AVD"],"summary":"Get","description":"Retrieve information about a specified published AVD desktop.<br />\r\nThis is an Experimental feature which is subject to slight changes.","operationId":"d03c3dfa-c0ec-4603-a474-8781312b1c21","parameters":[{"name":"id","in":"path","description":"ID of the published AVD desktop to be retrieved","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/PubAVDDesktop"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PubAVDDesktop":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"maintenanceMessages":{"$ref":"#/components/schemas/MaintenanceMessages"},"inheritMaintenance":{"type":"boolean","description":"<para type=\"description\">Inherit Maintenance.</para>"},"replicateMaintenance":{"type":"boolean","description":"<para type=\"description\">Replicate Maintenance.</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the published item.</para>","nullable":true},"type":{"$ref":"#/components/schemas/RASPubObject"},"parentId":{"type":"integer","description":"<para type=\"description\">ID of the parent folder of the published item.</para>","format":"int32"},"previousId":{"type":"integer","description":"<para type=\"description\">ID of the previous published item.</para>","format":"int32"},"description":{"type":"string","description":"<para type=\"description\">Description of the published item.</para>","nullable":true},"enabledMode":{"$ref":"#/components/schemas/PubResourceEnabledMode"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the published item is enabled or not.</para>"},"publishToSite":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">List of the IDs of all the sites this item is published to.</para>","nullable":true},"preferredRoutingEnabled":{"type":"boolean","description":"<para type=\"description\">Whether Preferred Routing is enabled or not.</para>"},"preferredRoutes":{"type":"array","items":{"$ref":"#/components/schemas/PubPreferredRoute"},"description":"<para type=\"description\">The list of Preferred Routes.</para>","nullable":true},"filter":{"$ref":"#/components/schemas/PubItemFilter"},"startOnLogon":{"type":"boolean","description":"<para type=\"description\">Whether the 'Start automatically when user logs on' option is enabled or disabled.</para>"},"excludePrelaunch":{"type":"boolean","description":"<para type=\"description\">Exclude application from prelaunch.</para>"},"inheritShortcutDefaultSettings":{"type":"boolean","description":"<para type=\"description\">Whether to inherit default shortcut settings or not.</para>"},"createShortcutOnDesktop":{"type":"boolean","description":"<para type=\"description\">Whether to create a shortcut on the desktop or not.</para>"},"createShortcutInStartFolder":{"type":"boolean","description":"<para type=\"description\">Whether to create a shortcut in the start folder or not.</para>"},"startPath":{"type":"string","description":"<para type=\"description\">Starting path of the published item.</para>","nullable":true},"createShortcutInStartUpFolder":{"type":"boolean","description":"<para type=\"description\">Whether to create a shortcut in the startup folder or not.</para>"},"replicateShortcutSettings":{"type":"boolean","description":"<para type=\"description\">Whether to replicate shortcut settings or not.</para>"},"desktopSize":{"$ref":"#/components/schemas/DesktopSize"},"width":{"type":"integer","description":"<para type=\"description\"> Desktop width.</para>","format":"int32"},"height":{"type":"integer","description":"<para type=\"description\"> Desktop height.</para>","format":"int32"},"allowMultiMonitor":{"$ref":"#/components/schemas/AllowMultiMonitor"},"avdHostPoolID":{"type":"integer","description":"<para type=\"description\">The AVD Host Pool ID.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Published AVD Desktop</para>\r\n<para type=\"description\"></para>"},"MaintenanceMessages":{"type":"object","properties":{"maintenanceMessage_en_US":{"type":"string","description":"<para type=\"description\">Maintenance message in English.</para>","nullable":true},"maintenanceMessage_ja_JP":{"type":"string","description":"<para type=\"description\">Maintenance message in Japanese.</para>","nullable":true},"maintenanceMessage_fr_FR":{"type":"string","description":"<para type=\"description\">Maintenance message in French.</para>","nullable":true},"maintenanceMessage_es_ES":{"type":"string","description":"<para type=\"description\">Maintenance message in Spanish.</para>","nullable":true},"maintenanceMessage_it_IT":{"type":"string","description":"<para type=\"description\">Maintenance message in Italian.</para>","nullable":true},"maintenanceMessage_pt_BR":{"type":"string","description":"<para type=\"description\">Maintenance message in Portuguese.</para>","nullable":true},"maintenanceMessage_nl_NL":{"type":"string","description":"<para type=\"description\">Maintenance message in Dutch.</para>","nullable":true},"maintenanceMessage_zh_TW":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Traditional).</para>","nullable":true},"maintenanceMessage_zh_CN":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Simplified).</para>","nullable":true},"maintenanceMessage_ko_KR":{"type":"string","description":"<para type=\"description\">Maintenance message in Korean.</para>","nullable":true},"maintenanceMessage_de_DE":{"type":"string","description":"<para type=\"description\">Maintenance message in German.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Contains a set of maintenance messages in various languages</para>\r\n<para type=\"description\"></para>"},"RASPubObject":{"enum":[["0 = Any","1 = Folder","2 = RDSApp","3 = RDSDesktop","4 = VDIDesktop","5 = PCDesktop","6 = PCApp","7 = VDIApp","8 = AVDApp","9 = AVDDesktop","10 = LocalApp"]],"type":"string","description":"<para type=\"synopsis\">RAS Publishing Objects</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubResourceEnabledMode":{"enum":[["0 = Disabled","1 = Enabled","2 = Maintenance"]],"type":"string","description":"<para type=\"synopsis\">Published resource availability modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubPreferredRoute":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"name":{"type":"string","description":"<para type=\"description\">The Name of the Publishing Route</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description of the Publishing Route</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Publishing Route is enabled or not</para>"},"referenceType":{"$ref":"#/components/schemas/RoutingType"},"referenceId":{"type":"integer","description":"<para type=\"description\">Reference ID of the Publishing Route</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Publishing Preferred Route</para>\r\n<para type=\"description\"></para>"},"RoutingType":{"enum":[["3 = Gateway","51 = HALB","83 = Custom"]],"type":"string","description":"<para type=\"synopsis\">RAS Publishing Routing Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubItemFilter":{"type":"object","properties":{"rules":{"type":"array","items":{"$ref":"#/components/schemas/PubItemRule"},"nullable":true},"default":{"$ref":"#/components/schemas/DefaultAssignmentType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">The PubItem Filter object.</para>\r\n<para type=\"description\"></para>"},"PubItemRule":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Rule is enabled or not</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the Rule</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description of the Rule</para>","nullable":true},"criteria":{"$ref":"#/components/schemas/PubItemCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">PubItem Rule</para>\r\n<para type=\"description\"></para>"},"PubItemCriteria":{"type":"object","properties":{"securityPrincipals":{"$ref":"#/components/schemas/SecurityPrincipalsCriteria"},"gateways":{"$ref":"#/components/schemas/GatewaysCriteria"},"oSs":{"$ref":"#/components/schemas/OSsCriteria"},"iPs":{"$ref":"#/components/schemas/IPsCriteria"},"hardwareIDs":{"$ref":"#/components/schemas/HardwareIDsCriteria"},"access":{"$ref":"#/components/schemas/AccessType"},"devices":{"$ref":"#/components/schemas/DevicesCriteria"},"themes":{"$ref":"#/components/schemas/ThemesCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">PubItem Criteria</para>\r\n<para type=\"description\"></para>"},"SecurityPrincipalsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Security Principals Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/SecurityPrincipalCriteriaEntry"},"description":"<para type=\"description\">User criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principals Criteria</para>\r\n<para type=\"description\"></para>"},"MatchingModeType":{"enum":[["0 = IsNotOneOfTheFollowing","1 = IsOneOfTheFollowing"]],"type":"string","description":"<para type=\"synopsis\">Matching mode type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"SecurityPrincipalCriteriaEntry":{"type":"object","properties":{"account":{"type":"string","description":"<para type=\"description\">The name of the user/group account the filter is added to.</para>","nullable":true},"type":{"$ref":"#/components/schemas/UserType"},"sid":{"type":"string","description":"<para type=\"description\">The SID of the user/group account the filter is added to.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principal Criteria Entry</para>\r\n<para type=\"description\"></para>"},"UserType":{"enum":[["1 = User","2 = Group","3 = ForeignSecurityPrincipal","4 = Computer"]],"type":"string","description":"<para type=\"synopsis\">User Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewaysCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Gateways Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/GatewayCriteriaEntry"},"description":"<para type=\"description\">Gateway criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateways Criteria</para>\r\n<para type=\"description\"></para>"},"GatewayCriteriaEntry":{"type":"object","properties":{"gatewayIP":{"type":"string","description":"<para type=\"description\">The gateway IP.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateway criteria entry</para>\r\n<para type=\"description\"></para>"},"OSsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the OSs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedOSes":{"$ref":"#/components/schemas/AllowedOperatingSystems"}},"additionalProperties":false,"description":"<para type=\"synopsis\">OS Criteria Settings</para>\r\n<para type=\"description\"></para>"},"AllowedOperatingSystems":{"type":"object","properties":{"chrome":{"type":"boolean","description":"<para type=\"description\">Whether Chrome is allowed or not.</para>"},"android":{"type":"boolean","description":"<para type=\"description\">Whether Android is allowed or not.</para>"},"webClient":{"type":"boolean","description":"<para type=\"description\">Whether Web Client is allowed or not.</para>"},"iOS":{"type":"boolean","description":"<para type=\"description\">Whether iOS is allowed or not.</para>"},"linux":{"type":"boolean","description":"<para type=\"description\">Whether Linux is allowed or not.</para>"},"mac":{"type":"boolean","description":"<para type=\"description\">Whether MAC OS is allowed or not.</para>"},"wyse":{"type":"boolean","description":"<para type=\"description\">Whether Wyse is allowed or not.</para>"},"windows":{"type":"boolean","description":"<para type=\"description\">Whether Windows is allowed or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed Operating Systems</para>\r\n<para type=\"description\"></para>"},"IPsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the IPs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedIPs":{"$ref":"#/components/schemas/AllowedIPsCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPs Criteria</para>\r\n<para type=\"description\"></para>"},"AllowedIPsCriteria":{"type":"object","properties":{"iPv4s":{"type":"array","items":{"$ref":"#/components/schemas/IPv4CriteriaEntry"},"description":"<para type=\"description\">IPv4 criteria list</para>","nullable":true},"iPv6s":{"type":"array","items":{"$ref":"#/components/schemas/IPv6CriteriaEntry"},"description":"<para type=\"description\">IPv6 criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed IPs Criteria</para>\r\n<para type=\"description\"></para>"},"IPv4CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv4 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"IPv6CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv6 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"HardwareIDsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Hardware IDs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/HardwareIDCriteriaEntry"},"description":"<para type=\"description\">Hardware IDs criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware IDs Criteria</para>\r\n<para type=\"description\"></para>"},"HardwareIDCriteriaEntry":{"type":"object","properties":{"hardwareID":{"type":"string","description":"<para type=\"description\">The hardware ID.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware ID criteria entry</para>\r\n<para type=\"description\"></para>"},"AccessType":{"enum":[["0 = DenyCriteriaWhen","1 = AllowCriteriaWhen"]],"type":"string","description":"<para type=\"synopsis\">Access type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"DevicesCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Devices Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/ClientDeviceCriteriaEntry"},"description":"<para type=\"description\">Client criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Devices Criteria</para>\r\n<para type=\"description\"></para>"},"ClientDeviceCriteriaEntry":{"type":"object","properties":{"client":{"type":"string","description":"<para type=\"description\">The name of the client device.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client device criteria entry</para>\r\n<para type=\"description\"></para>"},"ThemesCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Themes Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"ids":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Theme criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Themes Criteria</para>\r\n<para type=\"description\"></para>"},"DefaultAssignmentType":{"enum":[["0 = Deny","1 = Allow"]],"type":"string","description":"<para type=\"synopsis\">Default assignment type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"DesktopSize":{"enum":[["0 = UseAvailableArea","1 = FullScreen","2 = W640xH480","3 = W800xH600","4 = W854xH480","5 = W1024xH576","6 = W1024xH768","7 = W1152xH864","8 = W1280xH720","9 = W1280xH768","10 = W1280xH800","11 = W1280xH960","12 = W1280xH1024","13 = W1360xH768","14 = W1366xH768","15 = W1400xH1050","16 = W1440xH900","17 = W1600xH900","18 = W1600xH1024","19 = W1600xH1200","20 = W1680xH1050","21 = W1920xH1080","22 = W1920xH1200","23 = W1920xH1440","24 = W2048xH1152","25 = Custom"]],"type":"string","description":"<para type=\"synopsis\">Desktop size options for published desktops.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"AllowMultiMonitor":{"enum":[["0 = Enabled","1 = Disabled","2 = UseClientSettings"]],"type":"string","description":"<para type=\"synopsis\">Multi-monitor options for published desktops.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify properties of a specified published desktop.\<br />> \
> This is an Experimental feature which is subject to slight changes.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Desktops/AVD":{"put":{"tags":["3-Publishing/Desktops//AVD"],"summary":"Update","description":"Modify properties of a specified published desktop.<br />\r\nThis is an Experimental feature which is subject to slight changes.","operationId":"04a372a3-ffa6-41c0-a079-61e27edeee68","parameters":[{"name":"id","in":"path","description":"ID of the published AVD desktop to be updated","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Published AVD desktop configuration","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetPubAVDDesktop"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetPubAVDDesktop":{"required":["avdHostPoolID"],"type":"object","properties":{"name":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">A new name to assign to the published resource.</para>","nullable":true},"replicateMaintenance":{"type":"boolean","description":"<para type=\"description\">Replicate Maintenance</para>","nullable":true},"inheritMaintenance":{"type":"boolean","description":"<para type=\"description\">Inherit Maintenance</para>","nullable":true},"enabledMode":{"$ref":"#/components/schemas/PubResourceEnabledMode"},"maintenanceMessage_en_US":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in English.</para>","nullable":true},"maintenanceMessage_ja_JP":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Japanese.</para>","nullable":true},"maintenanceMessage_fr_FR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in French.</para>","nullable":true},"maintenanceMessage_es_ES":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Spanish.</para>","nullable":true},"maintenanceMessage_it_IT":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Italian.</para>","nullable":true},"maintenanceMessage_pt_BR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Portuguese.</para>","nullable":true},"maintenanceMessage_nl_NL":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Dutch.</para>","nullable":true},"maintenanceMessage_de_DE":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in German.</para>","nullable":true},"maintenanceMessage_zh_TW":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Chinese (Traditional).</para>","nullable":true},"maintenanceMessage_zh_CN":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Chinese (Simplified).</para>","nullable":true},"maintenanceMessage_ko_KR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Korean.</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Published resource description.</para>","nullable":true},"publishToSiteIds":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">An array of sites to which to publish a resource.</para>","nullable":true},"preferredRoutingEnabled":{"type":"boolean","description":"<para type=\"description\">Enable or disable Preferred Routing.</para>","nullable":true},"replicateShortcutSettings":{"type":"boolean","description":"<para type=\"description\">Replicate shortcut settings to all sites.</para>","nullable":true},"createShortcutOnDesktop":{"type":"boolean","description":"<para type=\"description\">Create a shortcut on a client's desktop.</para>","nullable":true},"createShortcutInStartFolder":{"type":"boolean","description":"<para type=\"description\">Create a shortcut in the client's Start folder.</para>","nullable":true},"createShortcutInStartUpFolder":{"type":"boolean","description":"<para type=\"description\">Create a shortcut in the client's Auto Start folder.</para>","nullable":true},"startPath":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the path in the Start folder where the shortcut will be created.</para>","nullable":true},"inheritShortcutDefaultSettings":{"type":"boolean","description":"<para type=\"description\">Inherit default shortcut settings.</para>","nullable":true},"startOnLogon":{"type":"boolean","description":"<para type=\"description\">Start a resource automatically when a user logs on.</para>","nullable":true},"excludePrelaunch":{"type":"boolean","description":"<para type=\"description\">Exclude application from prelaunch.</para>","nullable":true},"width":{"type":"integer","description":"<para type=\"description\">Desktop width.</para>","format":"int32","nullable":true},"height":{"type":"integer","description":"<para type=\"description\">Desktop height.</para>","format":"int32","nullable":true},"desktopSize":{"$ref":"#/components/schemas/DesktopSize"},"allowMultiMonitor":{"$ref":"#/components/schemas/AllowMultiMonitor"},"avdHostPoolID":{"type":"integer","description":"<para type=\"description\">The AVD Host Pool ID.</para>","format":"int32","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update settings of a desktop published from a AVD Desktop</para>\r\n<para type=\"description\"></para>"},"PubResourceEnabledMode":{"enum":[["0 = Disabled","1 = Enabled","2 = Maintenance"]],"type":"string","description":"<para type=\"synopsis\">Published resource availability modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"DesktopSize":{"enum":[["0 = UseAvailableArea","1 = FullScreen","2 = W640xH480","3 = W800xH600","4 = W854xH480","5 = W1024xH576","6 = W1024xH768","7 = W1152xH864","8 = W1280xH720","9 = W1280xH768","10 = W1280xH800","11 = W1280xH960","12 = W1280xH1024","13 = W1360xH768","14 = W1366xH768","15 = W1400xH1050","16 = W1440xH900","17 = W1600xH900","18 = W1600xH1024","19 = W1600xH1200","20 = W1680xH1050","21 = W1920xH1080","22 = W1920xH1200","23 = W1920xH1440","24 = W2048xH1152","25 = Custom"]],"type":"string","description":"<para type=\"synopsis\">Desktop size options for published desktops.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"AllowMultiMonitor":{"enum":[["0 = Enabled","1 = Disabled","2 = UseClientSettings"]],"type":"string","description":"<para type=\"synopsis\">Multi-monitor options for published desktops.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Delete a published AVD desktop.\<br />> \
> This is an Experimental feature which is subject to slight changes.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Desktops/AVD":{"delete":{"tags":["3-Publishing/Desktops//AVD"],"summary":"Delete","description":"Delete a published AVD desktop.<br />\r\nThis is an Experimental feature which is subject to slight changes.","operationId":"fcc36a16-0a50-4ab5-8013-d6fe20569e54","parameters":[{"name":"id","in":"path","description":"ID of the published AVD desktop to be deleted","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/desktops/avd.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
